/*
 Theme Name:   JP 2026
 Description:  Child theme for Jannpaul
 Author:       LES
 Template:     computer-repair-elementor
 Version:      1.0.0
*/
.font-cinzel {
  font-family: 'cinzel', serif;
}

.font-verlag {
  font-family: 'verlag', sans-serif;
}

.font-optima {
  font-family: 'optima', sans-serif!important;
}

.font-verdana {
  font-family: 'verdana-custom', sans-serif;
}

.diamond-slider {
  position: relative;
	padding: 40px 0px 40px 20px;
}

.swiper-wrapper .diamond-item {
  padding: 0px;
}

.swiper-slide.diamond-item img {
/*   max-width: 278px; */
	    width: 100%;
  margin: 0 auto 20px;
  transition: transform 0.3s ease;
}
.swiper-slide.diamond-item img:hover {
  transform: scale(1.05);
}

.swiper-wrapper h3 {
  font-size: 21px;
  letter-spacing: 1px;
	line-height:25px;
      margin-bottom: 10px;
  font-family: 'optima', sans-serif!important;
  font-weight: 400;
  color:black;
	text-align: left;
	
}
.swiper-wrapper p {
  font-size: 12px;
  line-height: 20px;
  width: 215px;
	font-family: 'optima', sans-serif!important;
	color:#000;
	text-align: left;
	 margin-bottom: 15px;
}
a:hover {
    color: black;
    text-decoration: none;
}
.swiper-button-next, .swiper-button-prev{
	top:32%!important;
}
.swiper-button-next{
	right: 30px;
}
.discover-btn {
  display: inline-block;
  font-size: 12px;
	line-height:14px;
	font-family:'optima', sans-serif!important;
  letter-spacing: 1px;
  position: relative;
  padding-left: 42px;
  color:black;
	text-align: left;
}

.discover-btn::before {
  content: "";
  position: absolute;
  left: 0;                 /* line sits at the left edge of the button box */
  top: 50%;
  width: 32px;
  height: 0.75px;
  background-color:black ; /* match text color */
  transform: translateY(-50%) scaleX(1);
  transform-origin: right;   /* keep the right end fixed (near the text) */
  transition: transform 0.3s ease;
  color:black;
}
.jpSupTag{
	top:-1.1vw; 
	font-size:1.7vw; 
	letter-spacing:3px;
}
/* Shrink from left → right on hover */
.discover-btn:hover::before {
  transform: translateY(-50%) scaleX(0.5); /* 40px → 20px (0.5 = 50%) */
	color:black;
}

.swiper-slide.diamond-item {
    margin-right: 0px!important;
	text-align: left;
}
/* Swiper arrows */
/* AP-style circular arrows */
.custom-arrow {
    width: 51px !important;
    height: 51px !important;
    border-radius: 50%;
    background: #000;
    border: 1px solid #ffffff;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.12);
    transition: all 0.3s ease;
	opacity:25%;
}
.swiper-button-next.swiper-button-disabled, .swiper-button-prev.swiper-button-disabled {
    opacity: 20%;
    pointer-events: none;
}

.jp-home-cta-line {
    margin-top: 34px!important;
}
/* White arrow icon */
.custom-arrow::after {
  color: #ffffff !important;
  font-size: 15px !important;
  font-weight: 600 !important;
}
.swiper-button-prev, .swiper-rtl .swiper-button-next {
    left: 0px;
    right: auto;
}
/* Hover effect */
.custom-arrow:hover {
/*   background: #bbbbbb; */
	opacity:50%;
}
/* .swiper-button-next.swiper-button-disabled, .swiper-button-prev.swiper-button-disabled {
    opacity: .55;
    pointer-events: none;
} */
/*Homepage browse section*/
.jp-home-cta {
    text-align: center;
}
/* .headingThree{
	text-transform: uppercase;
    font-size: 28px;
    margin-bottom: 10px;
    line-height: 1.5em;
    font-weight: 400;
    letter-spacing: 3px;
	color:#a3a3a3;
	font-family:Ubuntu;
} */
.headingThree {
    text-transform: uppercase;
    font-size: 1.5vw;
    margin-bottom: 0;
    line-height: 1.2em;
    letter-spacing: 3px;
    font-weight: 400;
    color: #a3a3a3;
    font-family: Ubuntu;
}
marginBottomTen{
	margin-bottom:10px;
}
.jp-home-cta-text.Capital {
    text-transform: inherit !important;
}

.headingThreeWhite{
	color:white;
	font-family:Ubuntu;
	text-transform: uppercase;
    font-size: 1.5vw;
    margin-bottom: 0;
    line-height: 1.2em;
    font-weight: 400;
    letter-spacing: 3px;
}
.margin-bottom-twenty{
margin-bottom:20px;	
}
/* .jp-home-cta-line {
	width: 158px;
    height: 1px;
    background: #80807f;
    width: 140px;
    margin: 25px auto 15px;
} */

.jp-home-cta-text {
/*     font-size: 14px;
	line-height:17px; */
/*     letter-spacing: 2px; */
/*     font-weight: 500; */
    color: #000;           /* slight dark grey tone */
    text-transform: uppercase;
	line-height: 1.2vw;
    font-size: .8vw;
	    letter-spacing: 2px;
}
.jp-home-cta-text a{
	color:black;
/* 	font-weight: 400; */
}
a.whiteText {
    color: #fff;
}
.border-lgrey {
    width: 140px;
    margin: 15px auto;
    border-bottom: 2px solid #bcbcbc;
}
.product-title-less {
    margin-top: 17px;
    margin-bottom: 40px;
    font-size: .8vw;
	color: #575757;
}
/* Contact form*/
.jpContactfield {
    margin-bottom: 3px;
    background-color: #f7f7f7;
    display: block;
    width: 100%;
    height: 34px;
    padding: 6px 12px;
    font-size: 14px;
    line-height: 1.42857143;
    color: #555;
    background-image: none;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
    transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
}
.jpContactfield:focus{
	border-color: #66afe9;
    outline: 0;
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 8px rgba(102, 175, 233, .6);
}
.btn-sent {
    background: #474747;
    color: #fff;
    text-transform: uppercase;
    padding: 3px 36px;
    float: right;
    margin-top: 15px;
    transition: 1s ease;
    font-size: 14px;
    border-radius: 0px;
}
.btn-sent:hover {
    background-color: #ababab;
    color: #000;
}
/* Octagon Page*/
.jpImageTab [aria-selected="false"]{
    opacity: 0.75!important;
}

	.jpImageTab .e-n-tab-title[aria-selected="true"] {
    opacity: 1!important;
}
.jpImageTab .e-n-tabs-heading {
    padding-left: 60px;
}
.jpProductIcon {
    width: 66px;
    height: 66px !important;
    object-fit: contain;
}
.jpOutlinecta a {
    font-family: 'optima' !important;
	    padding: 5px 16px 5px 16px !important;
	min-width: 230px;
}
.font-optima h2 {
    font-family: 'optima' !important;
}
sup.jpInnerSupTag {
    top: -10px;
	font-size: 65% !important;
}
.discoverSup{
	font-size:70%!important;
	font-style: italic;
    top: -0.9em;
	letter-spacing: 1px !important;
}
/* Bootstrap */
.row{
	    margin-right: 0px;
    margin-left: 0px;
}
/* footer */
footer#footer, body.tahefobu-hide-theme-footer #footer {
    display: block !important;
}
@media (max-width: 1440px){
	.swiper-wrapper p{
		width:100%;
	}
}

/* Show 4 items + 5th half */
@media (min-width: 768px) {
  .diamond-slider .swiper-wrapper {
    padding-right: 160px;
  }
}
/*homepage sections*/
/* Elementor-safe reset */
.jewelry-hero * {
  box-sizing: border-box;
}

/* SECTION */
.jewelry-hero {
  width: 100%;
  min-height: 100vh;
  padding: 80px 60px;
  background: #fff;
  overflow: visible;
}

/* MAIN WRAPPER */
.hero-inner {
  max-width: 1400px;
  margin: 0 auto;
  display: flex;
  align-items: center;
  position: relative;
}

/* LEFT */
.hero-left {
  width: 45%;
  text-align: center;
  position: relative;
  z-index: 1;
}

.begin-block {
  margin-bottom: 30px;
}

.begin-block .line {
  width: 60px;
  height: 1px;
  background: #999;
  margin: 0 auto 10px;
}

.begin-text {
  font-size: 12px;
  letter-spacing: 4px;
}

.front-ring {
  max-width: 420px;
  width: 100%;
}

/* RIGHT */
.hero-right {
  width: 55%;
  position: relative;
  z-index: 2;
}

.hero-text {
  text-align: right;
  margin-bottom: 20px;
}

.hero-text .line {
  width: 60px;
  height: 1px;
  background: #999;
  display: inline-block;
  margin-bottom: 10px;
}

.collection-text {
  font-size: 12px;
  letter-spacing: 4px;
  color: #c2c2c2;
  margin-bottom: 12px;
}

.cta-link {
  font-size: 12px;
  text-decoration: none;
  border-bottom: 1px solid #000;
  padding-bottom: 4px;
  color: #000;
}

.jp-home-cta-text.Capital.white-text a {
    color: #fff !important;
}
/* HERO IMAGE */
.hero-ring {
  position: absolute;
  left: -120px;
  top: 50%;
  transform: translateY(-50%);
  max-width: 820px;
  width: 100%;
  z-index: 3;
}

/* ---------- RESPONSIVE ---------- */

/* Tablet */
@media (max-width: 1024px) {
  .hero-inner {
    flex-direction: column;
    text-align: center;
  }

  .hero-left,
  .hero-right {
    width: 100%;
  }

  .hero-ring {
    position: static;
    transform: none;
    margin-top: 40px;
    max-width: 600px;
  }

  .hero-text {
    text-align: center;
  }
	.headingThree,.headingThreeWhite{
		font-size:18px;
		line-height:21px;
	}
	.jp-home-cta-text,.product-title-less{
		font-size:12px;
	}
}

/* Mobile */

@media (max-width: 767.98px) {
	.jp-home-cta-line {
    margin-top: 25px!important;
}
  .jewelry-hero {
    padding: 40px 20px;
  }

  .front-ring {
    max-width: 300px;
  }

  .hero-ring {
    max-width: 360px;
  }
		.headingThree,.headingThreeWhite{
		font-size:15px;
		line-height:18px;
	}
	.jp-home-cta-text,.product-title-less{
		font-size:15px;
		line-height: 18px;
}
	.product-title-less{
		margin: 15px auto 15px;
	}
    /* Mobile dots only */
  .custom-arrow {
    display: none!important;
  }

  .mobile-dots {
        position: relative;
        margin-top: 40px;
        text-align: right;
        padding-right: 24px;
        margin-left: auto;
        bottom: 0px !important;
        width: 100% !important;
  }

  .mobile-dots .swiper-pagination-bullet{
    width: 8px;
    height: 8px;
        background: #fff;
        border: 1px solid #80807f;
    opacity: 1;
    margin: 0 4px;
  }

  .mobile-dots .swiper-pagination-bullet-active {
           background: #fff;
        border: 1px solid #80807f;
    width: 28px;
    border-radius: 5px;
    transition: ease-in-out;
  }
	.swiper-slide.diamond-item{
		margin-left:0px!important;
	}
	.swiper-wrapper{
		padding-left:15px;
	}
  .swiper-wrapper p{
             width: 88%;
        font-size: 13px;
  }
	.diamond-slider{
		padding-left:0px;
	}
.swiper-wrapper .swiper-slide.diamond-item {
    margin-right: 0px !important;
        margin-left: 0px !important;
/*         width: 100% !important;
        max-width: 245px !important; */
}
  .swiper-wrapper .swiper-slide-active,
	.swiper-slide.diamond-item.swiper-slide-next,
	.swiper-slide.diamond-item.swiper-slide-active, .swiper-slide.diamond-item.swiper-slide-next
  {
    width: calc(100% - 35%) !important;
  }
/* 	 .diamond-slider .swiper-wrapper:has(.swiper-slide-active:last-child) .swiper-slide-prev,
	.swiper-wrapper:has(.swiper-slide-active:last-child) .swiper-slide.diamond-item.swiper-slide-prev
  {
    width: calc(65% - 0%) !important;
  } */
	.swiper-wrapper:has(.swiper-slide-active:last-child) .swiper-slide.diamond-item.swiper-slide-prev {
    width: calc(100% - 35%) !important;
}
	.jpSupTag {
    top: -3.29vw;
    font-size: 4.75vw;
    letter-spacing: 3px;
}
	sup.paraSupTag {
    font-size: 2vw !important;
    letter-spacing: 2px;
}
/* octagon	 */
.jpImageTab [aria-selected="false"]{
    opacity: 0.75!important;
}

	.jpImageTab .e-n-tab-title[aria-selected="true"] {
    opacity: 1!important;
}
	.jpImageTab .e-n-tabs-heading {
    padding-left: 20px;
}
.jpProductIcon {
    width: 50px;
    height: 50px !important;
    object-fit: contain;
}
.jpOutlinecta a {
    min-width: 120px;
	font-size: 12px!important;
    line-height: 15px!important;
    letter-spacing: 1px!important;
}
.jpInnerSupTag {
	top: -7px;}
sup.discoverSup {
    font-size: 62% !important;
    top: -1.1em;
}	
}


/* Hide dots on tablet & desktop */
@media (min-width: 768px) {
  .mobile-dots {
    display: none;
  }
}
.elementor-widget-html {
  overflow: visible !important;
}

@media (max-width: 424px){
	.jpOutlinecta a {
        min-width: 90px;
        padding: 5px !important;
    }
}